Package io.milvus.param.collection

## Class GetLoadStateParam.Builder

- java.lang.Object
- - io.milvus.param.collection.GetLoadStateParam.Builder

- Enclosing class:
    GetLoadStateParam

      public static final class GetLoadStateParam.Builder
      extends java.lang.Object

  Builder for `GetLoadStateParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GetLoadStateParam.Builder` | `addPartitionName​(@NonNull java.lang.String partitionName)` | Adds a partition by name.
    `GetLoadStateParam` | `build()` | Verifies parameters and creates a new `GetLoadStateParam` instance.
    `GetLoadStateParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.
    `GetLoadStateParam.Builder` | `withDatabaseName​(java.lang.String databaseName)` | Sets the database name.
    `GetLoadStateParam.Builder` | `withPartitionNames​(@NonNull java.util.List<java.lang.String> partitionNames)` | Sets partition names list(Optional).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public GetLoadStateParam.Builder withDatabaseName​(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public GetLoadStateParam.Builder withCollectionName​(@NonNull
                                                              @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionNames

          public GetLoadStateParam.Builder withPartitionNames​(@NonNull
                                                              @NonNull java.util.List<java.lang.String> partitionNames)

      Sets partition names list(Optional).
      Parameters:
        `partitionNames` - partition names list
      Returns:
        `Builder`

    - #### addPartitionName

          public GetLoadStateParam.Builder addPartitionName​(@NonNull
                                                            @NonNull java.lang.String partitionName)

      Adds a partition by name. Partition name cannot be empty or null.
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### build

          public GetLoadStateParam build()
                                  throws ParamException

      Verifies parameters and creates a new `GetLoadStateParam` instance.
      Returns:
        `GetLoadStateParam`
      Throws:
        `ParamException`